# Lechapt and Calmon

Loss of charge in a circular pipe: Lechapt and Calmon abacus

Lechapt and Calmon formula is based on adjustements of [Cyril Frank Colebrook formula](https://en.wikipedia.org/wiki/Darcy_friction_factor_formulae#Colebrook%E2%80%93White_equation):

$$J=L.Q^M.D^{-N}$$

With:

- \(J\): loss of charge in mm/m or m/km;
- \(Q\): flow in L/s;
- \(D\): pipe diameter in m;
- \(L\), \(M\) and \(N\) coefficients depending on roughness {&#x3F5;}.

The error made with respect to the Colebrook formula is less than 3% for speeds between 0.4 and 2 m/s.

The correlation table of the coefficients is as follows:


| Material                                       | &#x3F5; (mm) | \(L\) | \(M\) | \(N\) |
|------------------------------------------------|-------------:|----:|
| Uncoated cast iron or steel - Coarse concrete (corrosive water) | 2 | 1.863 | 2 | 5.33 |
| Uncoated cast iron or steel - Coarse concrete (low corrosive water) | 1 | 1.601 | 1.975 | 5.25 |
| Cast iron or steel with cement coating | 0.5 | 1.40 | 1.96 | 5.19 |
| Cast iron or steel bitumen coating - centrifuged concrete | 0.25 | 1.16 | 1.93 | 5.11 |
| Rolled steel - smooth concrete | 0.1 | 1.10 | 1.89 | 5.01 |
| Cast iron or steel centrifugal coating | 0.05 | 1.049 | 1.86 | 4.93 |
| PVC - polyethylene | 0.025 | 1.01 | 1.84 | 4.88 |
| Hydraulically smooth pipe - 0.05 &le; D &le; 0.2 | 0.00 | 0.916 | 1.78 | 4.78 |
| Hydraulically smooth pipe - 0.25 &le; D &le; 1 | 0.00 | 0.971 | 1.81 | 4.81 |

Table: Materials and coefficients used in the Lechapt and Calmon formula
