# Villemonte 1947

The "Villemonte (1947)" equation uses the equation of the [Free weir](seuil_denoye.md) to which the flooding coefficient proposed by Villemonte applies (see explanations below). This flooding coefficient is also used for the triangular and truncated triangular weir formulas.

![Villemonte formula: submerged weir diagram](kivi_villemonte_schema_seuil_noye.png)

For a downstream water elevation higher than the crest elevation of the weir, the flow is flooded and a flooding coefficient is applied to the flow coefficient.

Villemonte proposes the following formula:

$$K = \frac{Q_{submerged}}{Q_{free}} = \left [ 1- \left ( \frac{h2}{h1} \right)^n \right]^{0.385}$$

With:

 - \(h_1\) the upstream water level above the crest of the weir
 - \(h_2\) the downstream water level above the crest of the weir
 - \(n\) the exponent in free flow relationships (rectangular=1.5, triangular=2.5, parabolic=2)

 *Villemonte, J.R., 1947. Submerged weir discharge studies. Engineering news record 866, 54–57.*
 