import { ListPage } from "./list.po";
import { CalculatorPage } from "./calculator.po";
import { browser } from "protractor";
import { PreferencesPage } from "./preferences.po";
import { Navbar } from "./navbar.po";

describe("ngHyd − parallel structures with multiple linked parameters − ", () => {
  let listPage: ListPage;
  let calcPage: CalculatorPage;
  let prefPage: PreferencesPage;
  let navBar: Navbar;

  async function init() {
      calcPage = new CalculatorPage();
      listPage = new ListPage();
      prefPage = new PreferencesPage();
      navBar = new Navbar();
      // disable evil option "empty fields on module creation"
      await prefPage.navigateTo();
      await prefPage.disableEvilEmptyFields();
      await browser.sleep(200);
  }
  beforeEach(init);

  it("when creating Parallel Structures, devices should be linkable to one another", async () => {
    await navBar.clickNewCalculatorButton();
    await listPage.clickMenuEntryForCalcType(8);
    await calcPage.getAddStructureButton().click();
    const nb1 = await calcPage.getAllLinkButtons().count();
    expect(nb1).toBe(8); // link buttons on children but not on parent
  });

  it("when creating Cloisons, devices should be linkable to one another", async () => {
    await navBar.clickNewCalculatorButton();
    await listPage.clickMenuEntryForCalcType(10);
    await calcPage.getAddStructureButton().click();
    const nb2 = await calcPage.getAllLinkButtons().count();
    expect(nb2).toBe(6); // link buttons on children but not on parent
  });

  it("when creating Dever, devices should be linkable to one another", async () => {
    await navBar.clickNewCalculatorButton();
    await listPage.clickMenuEntryForCalcType(9);
    await calcPage.getAddStructureButton().click();
    const nb3 = await calcPage.getAllLinkButtons().count();
    expect(nb3).toBe(6); // link buttons on children but not on parent
  });

});
