import { browser, by, element } from "protractor";

export class ListPage {
  navigateTo() {
    return browser.get("/#/list");
  }

  getThemesCards() {
    return element.all(by.css("mat-card.compute-nodes-theme"));
  }

  async getThemesCardsLength() {
    return await this.getThemesCards().count();
  }

  getCalculatorsMenuEntries() {
    return element.all(by.css("mat-card.compute-nodes-theme button.theme-calculator"));
  }

  async getCalculatorsMenuLength() {
    return await this.getCalculatorsMenuEntries().count();
  }

  async getAvailableCalcTypes() {
    const ids = [];
    const menuEntries = this.getCalculatorsMenuEntries();
    await menuEntries.each(async (elt, i) => {
      const eltid = await elt.getAttribute("id");
      const ct = eltid.replace("create-calc-", "");
      const nct = Number(ct);
      // remove duplicates
      if (! ids.includes(nct)) {
        ids.push(nct);
      }
    });
    return ids;
  }

  async clickRandomCalculatorMenuEntry() {
    const menuEntries = this.getCalculatorsMenuEntries();
    const l = await menuEntries.count();
    const r = Math.min((Math.floor(Math.random() * l)), (l - 1));
    return menuEntries.get(r).click();
  }

  async clickMenuEntryForCalcType(type: number) {
    const but = element(by.css("#create-calc-" + type));
    return but.click();
  }

  async getCalcMenuTextForCalcType(type: number): Promise<string> {
    const but = element(by.css("#create-calc-" + type));
    return but.getText();
  }
}
